import request from '@/utils/request'

// 查询保税区积分列表
export function listINTEGRAL(query) {
  return request({
    url: 'statistics/INTEGRAL/list',
    method: 'get',
    params: query
  })
}

// 查询保税区积分所有列表
export function listAllINTEGRAL(query) {
  return request({
    url: 'statistics/INTEGRAL/listAll',
    method: 'get',
    params: query
  })
}

// 查询保税区积分详细
export function getINTEGRAL(id) {
  return request({
    url: 'statistics/INTEGRAL/getInfo/' + id,
    method: 'get'
  })
}

// 新增保税区积分
export function addINTEGRAL(data) {
  return request({
    url: 'statistics/INTEGRAL/add',
    method: 'post',
    data: data
  })
}

// 修改保税区积分
export function updateINTEGRAL(data) {
  return request({
    url: 'statistics/INTEGRAL/edit',
    method: 'post',
    data: data
  })
}

// 删除保税区积分
export function delINTEGRAL(id) {
  return request({
    url: 'statistics/INTEGRAL/remove/' + id,
    method: 'get'
  })
}
